org.apache.sling.maven.kickstart.run

## Class LauncherCallable

- java.lang.Object
- - org.apache.sling.maven.kickstart.run.LauncherCallable

All Implemented Interfaces:
  Callable<ProcessDescription>

    public class LauncherCallable
    extends Object
    implements Callable<ProcessDescription>

A callable for kickstart an instance

### Constructor Summary

Constructors
Constructor and Description
`LauncherCallable(org.apache.maven.plugin.logging.Log logger, ServerConfiguration configuration, KickstartEnvironment environment)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`ProcessDescription` `call()`
`boolean` `isRunning()`
`static void` `stop(org.apache.maven.plugin.logging.Log LOG, ProcessDescription cfg)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LauncherCallable

    public LauncherCallable(org.apache.maven.plugin.logging.Log logger,
                            ServerConfiguration configuration,
                            KickstartEnvironment environment)

### Method Detail

#### call

    public ProcessDescription call()
                            throws Exception

Specified by:
  `call` in interface `Callable<ProcessDescription>`
Throws:
  `Exception`
See Also:
  `Callable.call()`

#### isRunning

    public boolean isRunning()

#### stop

    public static void stop(org.apache.maven.plugin.logging.Log LOG,
                            ProcessDescription cfg)
                     throws Exception

Throws:
  `Exception`